#include "version.sh"

in vec2 UV_f;
in mediump vec3 eye_normal;

uniform sampler2D texUnit;
void main()
{
    highp vec3 lightDir = vec3(0.0, 0.0, 1.0);
    highp vec3 normal = normalize(eye_normal);
    highp float intensity = max(dot(lightDir, normal), 0.0) * 0.80;
    gl_FragColor = (0.15 + intensity) * texture(texUnit, UV_f);
}
